Bug 89404 - New Port: comms/uird, the Universal IR Receiver Daemon
New Port: comms/uird, the Universal IR Receiver Daemon
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Emanuel Haupt
Depends on:
  Show dependency treegraph
Reported: 2005-11-22 04:30 UTC by lx
Modified: 2005-11-23 18:44 UTC (History)
0 users

See Also:

file.shar (2.32 KB, text/plain)
2005-11-22 04:30 UTC, lx
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lx 2005-11-22 04:30:27 UTC
UIRD is software for UNIX to control stuff with your normal remote
control. The software is designed to interface with the UIRR, Universal
IR Receiver, which is a piece of hardware that you can easily build

It also works with the IRman, which is why I ported it.
Comment 1 Emanuel Haupt freebsd_committer 2005-11-22 10:18:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Comment 3 Emanuel Haupt freebsd_committer 2005-11-22 14:35:36 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 4 lx 2005-11-22 17:38:01 UTC
On Tue, Nov 22, 2005 at 03:26:04PM +0100, Emanuel Haupt wrote:
> - the port does not respect CC [1] / CFLAGS [2]

Ah, you're right. I'll fix.

> - could you please make pkg-plist a bit more PHB compliant [3]

I'm not sure what you mean - I'm just making the plist in the Makefile
itself, and it seems to clean up after itself.

Comment 5 lx 2005-11-22 22:52:52 UTC
Ok, here's the fix for CFLAGS/CC. I can't find anything wrong with the
plist, it seems to be compliant with the PHB. Please advise.

diff -ruN uird.old/Makefile uird/Makefile
--- uird.old/Makefile	Tue Nov 22 09:41:25 2005
+++ uird/Makefile	Tue Nov 22 09:46:03 2005
@@ -19,9 +19,13 @@
 USE_PERL5=	yes
 PLIST_FILES=	bin/uird
 PORTDOCS=	Documentation
+	@${REINPLACE_CMD} -e "s|gcc|${CC} ${CFLAGS}|g" ${WRKSRC}/Makefile
Comment 6 Emanuel Haupt freebsd_committer 2005-11-23 08:45:35 UTC
You seem to have copy/pasted everything 1:1 from the project website which
contains a bit too much information for pkg-descr. The formatting is IMHO not
"optimal" either.

What do you think about the following version of pkg-descr:

--- pkg-descr counter-proposal begins here ---
UIRD is designed to interface with the UIRR (Universal IR Receiver) which is a
piece of hardware that you can easily build yourself.


  * Embedded perl-interpreter for advanced scripting features
  * Learning mode - interactively press a button on your remote and then enter
    what should happend every time you push that button
  * Simple configuration-file for specifying what should happen when you push a
    particular button
  * Network mode sends IR-data encapsulated in UDP-packets over the network to a
    remote host

WWW: http://vvv.purjo.nu/uird/
--- pkg-descr counter-proposal ends here ---
Comment 7 lx 2005-11-23 18:19:13 UTC
Ah, so you did mean pkg-descr. :) What you sent looks fine to me, but I
would suggest that the first bit be:

UIRD is software to control your PC via a normal remote control. It is
designed to interface with the UIRR(Universal IR Receiver), which is a
piece of hardware that you can easily build yourself.

I think the part saying that you can use a normal remote to control
a PC communicates what it does most effectively, and then goes into
slightly more detail.

Comment 8 Emanuel Haupt freebsd_committer 2005-11-23 18:44:49 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!